/* Headerfile für crc32.c */

extern BYTE *BufferP;

extern ui32 *crc32P;

extern size_t bytesRead;

#ifndef _AS_STANDALONE_APP

void compute_crc32(void);

#else

void compute_crc32(const char *filename);

#endif /* AS_STANDALONE_APP */

void init_crc32_table(void);
void init_crc32_table(void);
void init_crc32(ui32 *crc32Pointer);
void setbufferPointer(BYTE *Buffer);
ui32 crc32_slicing_by_16(ui32 crc, const BYTE *buf, size_t len);

